summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-dns/inadyn-mt/files/inadyn-mt.initd')
-rwxr-xr-xnet-dns/inadyn-mt/files/inadyn-mt.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/net-dns/inadyn-mt/files/inadyn-mt.initd b/net-dns/inadyn-mt/files/inadyn-mt.initd
new file mode 100755
index 000000000..2c1a2cc31
--- /dev/null
+++ b/net-dns/inadyn-mt/files/inadyn-mt.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need net
+ use logger dns
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting inadyn"
+ start-stop-daemon --start --chuid inadyn-mt --exec /usr/sbin/inadyn-mt \
+ --pidfile /var/run/inadyn-mt.pid --make-pidfile --background \
+ -- --syslog --input_file /etc/conf.d/inadyn-mt
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping inadyn"
+ start-stop-daemon --stop --exec /usr/sbin/inadyn-mt \
+ --pidfile /var/run/inadyn-mt.pid
+ eend $?
+}